> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SimplePay QR entrypoint



## OpenAPI

````yaml /en/openapi.json post /v1/physical-checkout/entrypoints
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/physical-checkout/entrypoints:
    post:
      tags:
        - Physical Checkout
      summary: Create a SimplePay QR entrypoint
      operationId: createPhysicalCheckoutEntrypoint
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - merchant_display_name
              properties:
                amount_mode:
                  type: string
                  enum:
                    - buyer_entered
                    - fixed_amount
                    - catalog_item
                    - table_bill
                catalog_line_item:
                  type: object
                description:
                  type: string
                  maxLength: 280
                experience:
                  type: string
                  enum:
                    - merchant_qr
                    - table_pay
                fixed_amount_minor:
                  type: integer
                  minimum: 1
                is_default:
                  type: boolean
                merchant_display_name:
                  type: string
                  minLength: 1
                  maxLength: 120
                metadata:
                  type: object
                payment_method_types:
                  type: array
                  minItems: 1
                  maxItems: 3
                  uniqueItems: true
                  items:
                    type: string
                    enum:
                      - card
                      - spei
                      - oxxo
                table_display_name:
                  type: string
                  maxLength: 80
                table_id:
                  type: string
                  format: uuid
                tip_policy:
                  type: object
                  additionalProperties: false
                  properties:
                    enabled:
                      type: boolean
                    preset_percentages:
                      type: array
                      maxItems: 4
                      uniqueItems: true
                      items:
                        type: integer
                        minimum: 0
                        maximum: 100
                wallets:
                  type: object
                  additionalProperties: false
                  properties:
                    apple_pay:
                      type: boolean
                    google_pay:
                      type: boolean
      responses:
        '201':
          description: The permanent SimplePay QR entrypoint.
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: true
      schema:
        type: string
        minLength: 8
        maxLength: 255
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````